summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2017-09-14 16:21:48 +0200
committerSebastien Douheret <sebastien.douheret@iot.bzh>2017-09-14 16:21:56 +0200
commitd007a7512af1f6c9b9ab9a238b47f1ebfc9f4dc8 (patch)
treef31ed86b2ec643dac8569e9de506586d1e13cff0 /scripts
parent79657f94a9ecf272736e3e52c5ca5e5bca60bf00 (diff)
Allow to install sdks from local file when iot download site is not available
Signed-off-by: Sebastien Douheret <sebastien.douheret@iot.bzh>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/xds-utils/install-agl-sdks.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/xds-utils/install-agl-sdks.sh b/scripts/xds-utils/install-agl-sdks.sh
index f230569..5442552 100755
--- a/scripts/xds-utils/install-agl-sdks.sh
+++ b/scripts/xds-utils/install-agl-sdks.sh
@@ -8,7 +8,8 @@
# Support only poky_agl profile for now
PROFILE="poky-agl"
-SDKS=$(curl -s ${SDK_BASEURL} | grep -oP 'href="[^"]*.sh"' | cut -d '"' -f 2)
+# Dynamically retreive SDKs (reduce timeout in case of iot website is not available)
+SDKS=$(curl -s ${SDK_BASEURL} --connect-timeout 10 | grep -oP 'href="[^"]*.sh"' | cut -d '"' -f 2) || echo "WARNING: IoT.bzh download site not available."
usage() {
echo "Usage: $(basename $0) [-h|--help] [-clean] [-f|--file <agl-sdk-filename>] [-a|--arch <arch name>] [-l|--list]"